import logging
import simplejson

from ddportfolioservice.lib.base import *
from ddportfolioservice.model.form import *
from ddportfolioservice.model.urlbuilder import *

log = logging.getLogger(__name__)

class DdportfolioController(BaseController):

    def index(self):
        # Return a rendered template
        #   return render('/some/template.mako')
        # or, Return a response
        return render('/showform.mako')

    def handle_post(self):
        schema = DeveloperData()
        try:
            form_result = schema.to_python(request.params)
        except formencode.validators.Invalid, error:
            c.messages = { 'errors' : error.unpack_errors() }
            return render('/showform.mako')
        data = build_urls(form_result)
        if 'mode' in request.params and request.params['mode'] == 'json':
            response.headers['Content-Type'] = 'text/json'
            return simplejson.dumps(data['data'])
        c.urldata = data
        return render('/showurls.mako')
