<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
          "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
 <head>
  <title>${_('Debian Developer Portfolio')}</title>
  ${h.stylesheet_link_tag('style')}
 </head>
 <body>
   % if c.urldata['data']:
   <fieldset id="ddportfolio">
     <legend>${_('Debian Developer Portfolio')}</legend>
     <ul>
       % for key in c.urldata['data']:
       <li>${key}<br />${h.link_to(h.truncate(
         c.urldata['data'][key], length=120), c.urldata['data'][key])}</li>
       % endfor
     </ul>
   </fieldset>
   % endif
   % if c.urldata['errors']:
   <fieldset id="ddportfolioerrors">
     <legend>${_('Errors during URL creation')}</legend>
     <ul>
       % for key in c.urldata['errors']:
       <li>${key}<br />
         <span class="errormsg">${c.urldata['errors'][key][0]}<br />
           ${c.urldata['errors'][key][1]}</span></li>
       % endfor
     </ul>
   </fieldset>
   % endif
   <p>${h.link_to(_('Restart'), h.url_for(action='index'))}</p>
 </body>
</html>
